import { FeatureSystem } from '../../core/feature-system';

export class PermissionSystem extends FeatureSystem {
    hasPermission(_player: PlayerMp, _permission: string): boolean { return false; }
    doesPlayerHavePermission(_player: PlayerMp, _permission: string): boolean { return false; }
    async loadPlayerPermissions(_player: PlayerMp, _force?: boolean): Promise<void> {}
}

export const permissionSystem = new PermissionSystem();
